Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.value.chained
Class SubChainSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.value.chained.SubChainSelectorConfig

    public class SubChainSelectorConfig

extends SelectorConfig

Field Summary
`protected Integer` | `maximumSubChainSize`
`protected Integer` | `minimumSubChainSize`
`protected ValueSelectorConfig` | `valueSelectorConfig`

Constructor Summary
`SubChainSelectorConfig()`

Method Summary
`SubChainSelector` | `buildSubChainSelector(HeuristicConfigPolicy configPolicy, PlanningEntityDescriptor entityDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`Integer` | `getMaximumSubChainSize()`
`Integer` | `getMinimumSubChainSize()` Defaults to because other `MoveSelector`s s(uch as `ChangeMoveSelector` and `SwapMoveSelector`) already handle 1-sized chains.
`ValueSelectorConfig` | `getValueSelectorConfig()`
`void` | `inherit(SubChainSelectorConfig inheritedConfig)`
`void` | `setMaximumSubChainSize(Integer maximumSubChainSize)`
`void` | `setMinimumSubChainSize(Integer minimumSubChainSize)`
`void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### valueSelectorConfig

    protected ValueSelectorConfig valueSelectorConfig

### minimumSubChainSize

    protected Integer minimumSubChainSize

### maximumSubChainSize

    protected Integer maximumSubChainSize

Constructor Detail

### SubChainSelectorConfig

    public SubChainSelectorConfig()

Method Detail

### getValueSelectorConfig

    public ValueSelectorConfig getValueSelectorConfig()

### setValueSelectorConfig

    public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

### getMinimumSubChainSize

    public Integer getMinimumSubChainSize()

  Defaults to because other `MoveSelector`s s(uch as `ChangeMoveSelector` and `SwapMoveSelector`) already handle 1-sized chains.

  Returns:
    sometimes null

### setMinimumSubChainSize

    public void setMinimumSubChainSize(Integer minimumSubChainSize)

### getMaximumSubChainSize

    public Integer getMaximumSubChainSize()

### setMaximumSubChainSize

    public void setMaximumSubChainSize(Integer maximumSubChainSize)

### buildSubChainSelector

    public SubChainSelector buildSubChainSelector(HeuristicConfigPolicy configPolicy,
                                                  PlanningEntityDescriptor entityDescriptor,
                                                  SelectionCacheType minimumCacheType,
                                                  SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `entityDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(SubChainSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.